name: NONS
description: Anonymous Chat App
publish_to: 'none'
version: 1.0.0+4

environment:
  sdk: '>=3.0.0 <4.0.0'

dependencies:
  flutter:
    sdk: flutter
  flutter_riverpod: ^2.4.9
  dio: ^5.4.0
  shared_preferences: ^2.2.2
  flutter_secure_storage: ^9.0.0
  go_router: ^13.0.0
  onesignal_flutter: ^5.0.0
  cached_network_image: ^3.3.0
  timeago: ^3.6.1
  image_picker: ^1.0.4
  in_app_purchase: ^3.1.11
  json_annotation: ^4.8.1
  hive_flutter: ^1.1.0
  intl: ^0.20.2
  connectivity_plus: ^5.0.2
  share_plus: ^7.2.2
  app_links: ^3.5.0
  device_info_plus: ^10.1.0
  url_launcher: ^6.2.5
  geolocator: ^10.1.0
  geocoding: ^2.1.1
  google_sign_in: ^6.2.1
  easy_localization: ^3.0.8

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.0
  build_runner: ^2.4.8
  json_serializable: ^6.7.1
  flutter_launcher_icons: ^0.14.4

flutter:
  uses-material-design: true

  assets:
    - assets/images/
    - assets/translations/

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  remove_alpha_ios: true
  image_path: "assets/images/logo.png"
  min_sdk_android: 21
  adaptive_icon_background: "#000000" # fallback if needed
  adaptive_icon_foreground: "assets/images/logo.png"
